<template>
  <div class="sub-navigation container">
    <div>
       <nav class="navbar navbar-expand-lg navbar-light">
            <!-- <a class="navbar-brand" href="#"></a> -->
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
              <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
                <li class="nav-item">
                   <router-link to="/CurrentState"  class="nav-link" exact> <button class="btn btn-light" id="weight" :class="{ 'active': current}" v-on:click="showCurrent()">{{ $t("message.statistics.currentState") }}</button></router-link>
                 </li>
                 <li class="nav-item">
                 <router-link to="/Evolution" class="nav-link"> <button class="btn btn-light" id="weight" :class="{ 'active': evolution}" v-on:click="showEvolution()">{{ $t("message.statistics.evolution") }}</button></router-link>
                </li>
            </ul>
            <span class="updated"><i class="fas fa-history"></i> updated: <br> <span class="date" > {{this.date.date}}  </span></span>
            </div>
       </nav>
     </div>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  name: 'SubNav',
  data () {
    return {
      isactive: true,
      current: true,
      evolution: false,
      Catalogues: [],
      length: '',
      date: []
    }
  },
  methods: {
    showCurrent () {
      this.isactive = true
      this.evolution = false
      this.current = true
      return this.evolution && this.current
    },
    showEvolution () {
      this.isactive = false
      this.evolution = true
      this.current = false
      return this.evolution && this.current
    },
    getDate () {
      this.length = this.Catalogues.stats.length
      this.date = this.Catalogues.stats[this.length - 1]
    },
    requestData () {
      axios.get(this.$env.ROOT_API + '/catalogue-statistics/data/num-datasets', { // http://odp-lic.ppe-aws.europeandataportal.eu:9090/data/ds-per-catalogue'
      })
        .then(response => {
          // console.log(response.data)
          this.Catalogues = response.data
          this.getDate()
        })
        .catch(err => {
          this.errorMessage = err.response.data.error
          this.showError = true
        })
    }
  },
  created: function () {
    this.requestData()
  }
}
</script>

<style scoped>
#weight{
  font-weight: 300;
}

.sub-navigation{
  padding-top:5px;
  background-color: #fff;
}

.updated{
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-size: 12px;
  text-align: right;
  font-weight: 100;
}

.date {
  background-color: #8cd8f93a;
  padding: 3px;
  border-radius: 3px;
  font-weight: 200;
}
</style>
